--- celtx.orig/mozilla/intl/unicharutil/util/nsUnicharUtils.h
+++ celtx/mozilla/intl/unicharutil/util/nsUnicharUtils.h
@@ -72,6 +72,7 @@
 class nsCaseInsensitiveStringComparator : public nsStringComparator
 {
 public:
+  nsCaseInsensitiveStringComparator() {}
   virtual int operator() (const PRUnichar*,
                           const PRUnichar*,
                           PRUint32 aLength) const;
--- celtx.orig/mozilla/toolkit/xre/nsAppRunner.cpp
+++ celtx/mozilla/toolkit/xre/nsAppRunner.cpp
@@ -577,6 +577,7 @@
                      
 {
 public:
+  nsXULAppInfo() {}
   NS_DECL_ISUPPORTS_INHERITED
   NS_DECL_NSIXULAPPINFO
   NS_DECL_NSIXULRUNTIME
